/* 
    Neural Network Simulator

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

    (C) 2006 Jason Hunt
    nulluser@gmail.gom 
*/


#ifndef PLANT_H
#define PLANT_H

#include <windows.h>

typedef struct plant_type
{
    double x, y;
    double x_size, y_size;

    plant_type *next;
    unsigned long id;
};


void add_random_plant(void);

void add_plant(plant_type **p, double x, double y, double x_size, double y_size);

void draw_plants(HDC dc);

void remove_plant(plant_type *p);

void free_plants(plant_type *p);

#endif
